import React from 'react'           // React to manage the GUI

/** Import sub-modules */
import StartPage from './startPage/components/StartPage'
import PlayerList from './playerList/components/PlayerList'       // Everything that has to do with players
import MatchList from './calendar/components/MatchList'         // Everything that has to do with matches
import AppLayout from './layout/components/AppLayout'
import AlertList from './alerts/components/AlertList'

/** Import CSS Styles */
import 'bootstrap/dist/css/bootstrap.min.css'
import './App.css'

// console.log(layout)

/** Main application */
class Main extends React.Component {
  render () {
    return (
      <div className='container'>
        <AppLayout
          state={this.props}
          components={{
            PlayerList,
            MatchList,
            StartPage
          }}
        />
        <AlertList alerts={this.props.alerts} alertsActions={this.props.alertsActions} />
      </div>
    )
  }
}

export default Main
