import React from 'react'
import { date2s, time2s } from '../../helpers'

class PlayerRow extends React.Component {
  render () {
    const player = this.props.player
    return (
      <tr>
        <td>{player.Konkurrenz}</td>
        <td>{player.Name}</td>
        <td>{player.Vorname}</td>
        <td>{player.NameDP}</td>
        <td>{player.VornameDP}</td>
        <td>{player.Bezahlt ? 'Ja' : 'Nein'}</td>
        <td>{player.BezahltAm ? `${date2s(player.BezahltAm)} ${time2s(player.BezahltAm)}` : 'Unbekannt'}</td>
        <td>{player.isJunior ? 'Junior' : ''}</td>
        <td>{player.isJuniorDP ? 'DP Junior' : ''}</td>
      </tr>
    )
  }
}

class PlayerTable extends React.Component {
  render () {
    const { allPlayers, filteredPlayers } = this.props.state || { allPlayers: [], filteredPlayers: [] }

    return (
      <div>
        <h2>Spielerliste ({filteredPlayers.length}/{allPlayers.length})</h2>
        <table className='table table-bordered table-striped'>
          <thead>
            <tr>
              <th>Konkurrenz</th>
              <th>Name</th>
              <th>Vorname</th>
              <th>Name DP</th>
              <th>Vorname DP</th>
              <th>Bezahlt</th>
              <th>Bezahlt Am</th>
              <th>Junior</th>
              <th>DP Junior</th>
            </tr>
          </thead>
          <tbody>
            {filteredPlayers.map((player, key) =>
              <PlayerRow key={key} player={player} />
            )}
          </tbody>
        </table>
      </div>
    )
  }
}

export default PlayerTable
