import express from 'express'
import bodyParser from 'body-parser'
import mongoose from 'mongoose'
import jwt from 'jwt-simple'

import config from './config/database'
import User from './models/user'

const port = process.env.PORT || 8080
const app = express()

app.use(bodyParser.urlencoded({ extended: false }))
app.use(bodyParser.json())

app.get('/', (req, res) => {
  res.send(`Express API at http://localhost:${port}/api`)
})

mongoose.connect(config.database, {
  connectTimeoutMS: 1000,
  useMongoClient: true
})
const apiRoutes = express.Router()

apiRoutes.post('/signup', (req, res) => {
  if (!req.body.name || !req.body.password) {
    res.json({ success: false, msg: 'Please pass name and password.' })
  } else {
    const newUser = new User({
      name: req.body.name,
      password: req.body.password
    })
    newUser.save(err => {
      if (err) {
        return res.json({ success: false, msg: 'Username already exists.' })
      }
      res.json({ success: true, msg: 'Successfully created user.' })
    })
  }
})

app.use('/api', apiRoutes)

app.listen(port)
console.log('Server running.')
