import { Strategy, ExtractJwt } from 'passport-jwt'
import User from '../models/user'
import config from '../config/database'

function configPassport (passport) {
  const opts = {}
  opts.secretOrKey = config.secret
  opts.jwtFromRequest = ExtractJwt.fromAuthHeader()
  passport.use(new Strategy(opts, (jwtPayload, done) => {
    User.findOne({ id: jwtPayload.id }, (err, user) => {
      if (err) {
        return done(err, false)
      }
      if (user) {
        done(null, user)
      } else {
        done(null, false)
      }
    })
  }))
}

export { configPassport }
